/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
define([
    'uiComponent',
    'Magento_Customer/js/customer-data'
], function (Component, customerData) {
    'use strict';

    return Component.extend({
        initialize: function () {
            this._super();

            this.customer = customerData.get('filoblu-customer');

            this.customer.subscribe(function (customer) {
                
                if (this.customer().website_id !== window.filoblu_customer.website_id) {
                    customerData.reload(['filoblu-customer'], false).done(function () {
                        customerData.reload(['checkout-data'], false);     
                        customerData.reload(['cart-data'], false);
                    });
                }
                
            }, this);

            if (typeof this.customer().website_id !== "undefined") {

                if (this.customer().website_id !== window.filoblu_customer.website_id) {
                    customerData.reload(['filoblu-customer'], false).done(function () {
                        customerData.reload(['checkout-data'], false);     
                        customerData.reload(['cart-data'], false);
                    });
                }

            }
        }
    });
});
